SOURCES := $(wildcard *.c)
OBJECTS := $(SOURCES:.c=.o)

.PHONY: all clean

all: pesq
	@echo "Now run something like:"
	@echo "  ./pesq +8000 ../Conform/or134.wav ../Conform/dg134.wav"

%.o: %.c
	@$(CC) -c -o $@ $< -Ofast

pesq: $(OBJECTS)
	@$(CC) $^ -o $@ -lm

clean:
	@rm -f $(OBJECTS) pesq

